aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEric Blake <eblake@redhat.com>2010-06-03 21:07:09 -0600
committerEric Blake <eblake@redhat.com>2010-06-04 10:03:52 -0600
commitfc6d5b2649ec7904ec18d861d800e3cde29faa80 (patch)
tree4d569b4729bf6ffd0d4a76b3205e232b7f91c89a /autobuild.sh
parentAllocate buffer to hold xend response (diff)
downloadlibvirt-fc6d5b2649ec7904ec18d861d800e3cde29faa80.tar.gz
libvirt-fc6d5b2649ec7904ec18d861d800e3cde29faa80.tar.bz2
libvirt-fc6d5b2649ec7904ec18d861d800e3cde29faa80.zip
autobuild.sh: avoid bashism
* autobuild.sh: Replace 'set -o pipefail' with POSIX alternative. Reported by Matthias Bolte.
Diffstat (limited to 'autobuild.sh')
-rwxr-xr-xautobuild.sh11
1 files changed, 8 insertions, 3 deletions
diff --git a/autobuild.sh b/autobuild.sh
index 3379be47f..c52747938 100755
--- a/autobuild.sh
+++ b/autobuild.sh
@@ -35,9 +35,14 @@ esac
make
make install
-set -o pipefail
-make check 2>&1 | tee "$RESULTS"
-make syntax-check 2>&1 | tee -a "$RESULTS"
+# set -o pipefail is a bashism; this use of exec is the POSIX alternative
+exec 3>&1
+st=$(
+ exec 4>&1 >&3
+ { make check syntax-check 2>&1; echo $? >&4; } | tee "$RESULTS"
+)
+exec 3>&-
+test $st = 0
test -x /usr/bin/lcov && make cov
rm -f *.tar.gz